net.sourceforge.pmd.ast

## Class ASTThrowStatementTest

- java.lang.Object
- - net.sourceforge.pmd.testframework.ParserTst
  - - net.sourceforge.pmd.ast.ASTThrowStatementTest

    public class ASTThrowStatementTest
    extends ParserTst

Author:
  mgriffa

### Constructor Summary

Constructors
Constructor and Description
`ASTThrowStatementTest()`

### Method Summary

Methods
`static junit.framework.Test` `suite()`
`void` `testGetFirstASTNameImageNew()`
`void` `testGetFirstASTNameImageNull()`

### Methods inherited from class net.sourceforge.pmd.testframework.ParserTst

`buildDFA, getNodes, getNodes, getOrderedNodes, parseJava, parseJava13, parseJava14, parseJava15, parseJava17`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ASTThrowStatementTest

    public ASTThrowStatementTest()

### Method Detail

#### testGetFirstASTNameImageNull

    public final void testGetFirstASTNameImageNull()
                                            throws Throwable

Throws:
  `Throwable`

#### testGetFirstASTNameImageNew

    public final void testGetFirstASTNameImageNew()
                                           throws Throwable

Throws:
  `Throwable`

#### suite

    public static junit.framework.Test suite()